Languagelinks aren't working on talk pages
Closed, DeclinedPublic

Description

If we put links to other languages in a talk page (such as an "User talk", or a "MediaWiki talk", where they can be very useful), they should be added to the sidebar as happens in the corresponding subject namespaces.

Instead of the expected behavior, currently such interwiki links are being converted to normal links.

For a practical example, try previewing the wikicode "[[fr:Test]]" in both pages below:
http://en.wikipedia.org/wiki/Wikipedia:Sandbox?action=edit
http://en.wikipedia.org/wiki/Wikipedia_talk:Sandbox?action=edit

The second one will not work.


Version: unspecified
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz26085.
He7d3r created this task.Via LegacyNov 23 2010, 11:54 AM
Platonides added a comment.Via ConduitDec 3 2010, 10:34 PM

I thought it was done on purpose?

Nikerabbit added a comment.Via ConduitFeb 13 2011, 2:46 PM

What purpose would that be?

Krinkle added a comment.Via ConduitFeb 13 2011, 6:14 PM

I've been annoyed by this as well at times, but on the other hand it does make sense (to me).

Interlanguage links indicate that a page is also available in another language (where you may find more information or perhaps informationin your own language would you be visiting a foreign wiki).

Since the talk-pages are not translated it is understandable for them not to have interlanguage links.

I'm not saying it should not be implemented, but I guess this is the reason why it has not been done before.

MarkAHershberger added a comment.Via ConduitApr 14 2011, 8:17 PM

(In reply to comment #3)

Interlanguage links indicate that a page is also available in another language
(where you may find more information or perhaps informationin your own language
would you be visiting a foreign wiki).

Since the talk-pages are not translated it is understandable for them not to
have interlanguage links.

This reasoning makes it WONTFIX for me.

He7d3r added a comment.Via ConduitApr 14 2011, 8:48 PM

(In reply to comment #4)

(In reply to comment #3)
> Interlanguage links indicate that a page is also available in another language
> (where you may find more information or perhaps informationin your own language
> would you be visiting a foreign wiki).
>
> Since the talk-pages are not translated it is understandable for them not to
> have interlanguage links.

This reasoning makes it WONTFIX for me.

Well... A talk page can be "also available in another language":

  • The discussion page about a popular gadget can be available in other languages. E.g.:

[[MediaWiki_talk:Gadget-popups.js]]
[[ja:MediaWiki_talk:Gadget-popups.js]]

  • Besides, if for example, a French user go to some [[User talk:Foo]] in the English Wikipedia and the "Foo" user happens to be also an editor of French Wikipedia and was able to add interwikis to his talk page, the French visitor could easily notice the link [[fr:User talk:Example]] in the sidebar, so that he can contact the user directly in the French Wikipedia.
He7d3r added a comment.Via ConduitApr 14 2011, 8:49 PM

(In reply to comment #5)

could easily notice the link [[fr:User talk:Example]] in the sidebar, so that

I meant [[fr:User talk:Foo]].

Nikerabbit added a comment.Via ConduitApr 15 2011, 5:42 AM

To me this seems a policy that has not been given any justification and should not be enforced in the software.

Krinkle added a comment.Via ConduitApr 15 2011, 10:49 AM

content hidden as private in Bugzilla

Krinkle added a comment.Via ConduitApr 15 2011, 10:50 AM

Rephrased summary.

Language interwikilinks work fine, it's languagelinks this bug is about (ie.
linking in a comment on the talk page to [[:nl:Foobar]] works fine).

Personally I still think this is a WONTFIX, but I'm leaving it in the reopened state for others to look at. Just fixing the summary.

Platonides added a comment.Via ConduitApr 15 2011, 11:37 PM

(In reply to comment #7)

To me this seems a policy that has not been given any justification and should
not be enforced in the software.

Make that a configuration setting, then? If we changed back, the behavior, many links that are now going to [[:nl:Foobar]] would suddenly go into the sidebar as interwikis (that could be bot-cleaned in wikipedia, but there are third-parties, too).

Nikerabbit added a comment.Via ConduitApr 16 2011, 7:25 AM

(In reply to comment #10)

Make that a configuration setting, then? If we changed back, the behavior, many
links that are now going to [[:nl:Foobar]] would suddenly go into the sidebar
as interwikis

Wow that's so braindead! And yay for more globals.

brion added a comment.Via ConduitApr 18 2011, 7:35 PM

Agree with the WONTFIX of the specific issue.

The best way to make this 'work' is improvements to interlanguage links to make them clean metadata; then we can easily pull the same links from the subject page and show them on the talk page (actually, we could probably do that already -- pulling the recorded langlinks from the subject page). Though adjusting automatically to the matching talk page might take more workish.

They should, however, always be a matched pair, not separately added.

Platonides added a comment.Via ConduitApr 18 2011, 8:19 PM

I don't like adding a variable for this feature either, Niklas. But fixing the bug would require it. Do you change to WONTFIX now?

Nikerabbit added a comment.Via ConduitApr 18 2011, 8:43 PM

The issue is not affecting me enough to still oppose wontfix.

MarkAHershberger added a comment.Via ConduitApr 18 2011, 10:00 PM

This specific request is a WONTFIX. If you'd like to push the fix
suggested in Comment #12, please open a new bug.

MarkAHershberger added a comment.Via ConduitApr 18 2011, 10:06 PM

(In reply to comment #15)

This specific request is a WONTFIX. If you'd like to push the fix
suggested in Comment #12, please open a new bug.

Bug 28604

Add Comment